PathSource (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface PathSource<X>

All Superinterfaces:
  Expression<X>, Path<X>, Selection<X>, TupleElement<X>

All Known Subinterfaces:
  CollectionJoinImplementor<Z,X>, FromImplementor<Z,X>, JoinImplementor<Z,X>, ListJoinImplementor<Z,X>, MapJoinImplementor<Z,K,V>, PathImplementor<X>, SetJoinImplementor<Z,X>

All Known Implementing Classes:
  AbstractFromImpl, AbstractJoinImpl, AbstractPathImpl, CollectionAttributeJoin, ListAttributeJoin, MapAttributeJoin, MapKeyHelpers.MapKeyPath, MapKeyHelpers.MapKeySource, PluralAttributeJoinSupport, PluralAttributePath, RootImpl, SetAttributeJoin, SingularAttributeJoin, SingularAttributePath

    public interface PathSource<X>

extends Path<X>

Implementation contract for things which can be the source (parent, left-hand-side, etc) of a path

Method Summary
`String` | `getPathIdentifier()` Get the string representation of this path as a navigation from one of the queries `identification variables`
`void` | `prepareAlias(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getModel, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### prepareAlias

    void prepareAlias(CriteriaQueryCompiler.RenderingContext renderingContext)

### getPathIdentifier

    String getPathIdentifier()

  Get the string representation of this path as a navigation from one of the queries `identification variables`

  Returns:
    The path's identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.